## xschem 2.8.1

=== Makefile ===
all: FORCE
	cd src && $(MAKE)
	cd xschem_library && $(MAKE)
	cd doc && $(MAKE)
	cd utile && $(MAKE)

clean: FORCE
	cd src && $(MAKE) clean
	cd xschem_library && $(MAKE) clean
	cd doc && $(MAKE) clean
	cd utile && $(MAKE) clean

distclean: FORCE
	$(MAKE) clean ; true
	cd src && $(MAKE) distclean
	cd xschem_library && $(MAKE) distclean
	cd doc && $(MAKE) distclean
	cd utile && $(MAKE) distclean
	rm -f Makefile.conf config.h src/Makefile
	cd scconfig && make distclean

install: FORCE
	cd src && $(MAKE) install
	cd xschem_library && $(MAKE) install
	cd doc && $(MAKE) install
	cd utile && $(MAKE) install

uninstall: FORCE
	cd src && $(MAKE) uninstall
	cd xschem_library && $(MAKE) uninstall
	cd doc && $(MAKE) uninstall
	cd utile && $(MAKE) uninstall

FORCE:

=== doc/Makefile ===
all:

include ../Makefile.conf

install: FORCE
	mkdir -p $(XDOCDIR) $(MANDIR)/man1
	cp -r *.svg *.html *.css *.png xschem_man $(XDOCDIR)
	cp manpages/xschem.1 $(MANDIR)/man1/xschem.1

uninstall: FORCE
	rm -rf $(XDOCDIR)/doc

clean:

distclean:

FORCE:

=== scconfig/Makefile ===
# --- configuration part --

# - generic configuration -
#  where scconfig source is; this is a path to a partial or full checkout of
#  svn://repo.hu/scconfig/trunk/src
SRC=src/

#  where compiled binaries (e.g. objects) should land; should be the same as
#  $(SRC) the project has its own copy of scconfig embedded
BIN=src/

#  what cflags to use to compile scconfig
#  If -DRUNTIME is specified, hooks.c should have the detect hook for runtime
USER_CFLAGS = -DGENCALL -DRUNTIME -g

#  what ldflags to use to link scconfig
USER_LDFLAGS =

#  in case hooks.c needs to link to something local
USER_OBJS =

#  what to build - a ./configure
all: configure

# This line imports scconfig core and default tests
include $(SRC)/default/Makefile.plugin

#
# - PLUGINS -
#
#  Comment this line if you are not interested in c99 features
#include $(SRC)/c99/Makefile.plugin

#  Comment this line if you do not need script libs to be detected
include $(SRC)/scripts/Makefile.plugin

#  Comment this line if you do not need parser libs to be detected
#include $(SRC)/parser/Makefile.plugin

#  Comment this line if you do not need to detect parser generators
include $(SRC)/parsgen/Makefile.plugin

#  Comment this line if you do not need math related libs
#include $(SRC)/math/Makefile.plugin

#  Comment this line if you do not need socket/networking
#include $(SRC)/socket/Makefile.plugin

#  Comment this line if you do not need user/password API detection
#include $(SRC)/userpass/Makefile.plugin

#  Comment this line if you do not need gui (X11, toolkits)
include $(SRC)/gui/Makefile.plugin

#  Comment this line if you do not need tty (nurses, slang, pty-related calls)
#include $(SRC)/tty/Makefile.plugin

#  Comment this line if you do not need software utility libs (gen*, glib)
#include $(SRC)/sul/Makefile.plugin

#  Comment this line if you do not need to detect POSIX calls
#include $(SRC)/posix/Makefile.plugin

#  Uncomment this line if you need menus
#include $(SRC)/menulib/Makefile.plugin

#  Comment this line if you do not need tmpasm (templating); conflicts with generator
include $(SRC)/tmpasm/Makefile.plugin

#  Uncomment this line if you need generator (deprecated templating); conflicts with tmpasm
#include $(SRC)/generator/Makefile.plugin

# --- you shouldn't edit the lines below ---
OBJS = $(USER_OBJS) hooks.o $(DEFAULT_NOMAIN_OBJS) $(SCRIPT_OBJS) $(PARSER_OBJS) $(GENERATOR_OBJS) $(TMPASM_OBJS) $(C99_OBJS) $(PARSGEN_OBJS) $(MATH_OBJS) $(SOCKET_OBJS) $(USERPASS_OBJS) $(GUI_OBJS) $(TTY_OBJS) $(SUL_OBJS) $(POSIX_OBJS)
CFLAGS = $(USER_CFLAGS) $(DEFAULT_CFLAGS) $(SCRIPT_CFLAGS) $(PARSER_CFLAGS) $(GENERATOR_CFLAGS) $(TMPASM_CFLAGS) $(C99_CFLAGS) $(PARSGEN_CFLAGS) $(MATH_CFLAGS) $(SOCKET_CFLAGS) $(USERPASS_CFLAGS) $(GUI_CFLAGS) $(TTY_CFLAGS) $(SUL_CFLAGS) $(POSIX_CFLAGS) $(MENULIB_CFLAGS) -I$(SRC)/default
LDFLAGS = $(USER_LDFLAGS) $(DEFAULT_LDFLAGS) $(SCRIPT_LDFLAGS) $(PARSER_LDFLAGS) $(GENERATOR_LDFLAGS) $(TMPASM_LDFLAGS) $(C99_LDFLAGS) $(PARSGEN_LDFLAGS) $(MATH_LDFLAGS) $(SOCKET_LDFLAGS) $(USERPASS_LDFLAGS) $(GUI_LDFLAGS) $(TTY_LDFLAGS) $(SUL_LDFLAGS) $(POSIX_LDFLAGS) $(MENULIB_LDFLAGS)

configure: $(OBJS) $(DEFAULT_MAIN_OBJS)
	$(CC) -o configure $(OBJS) $(DEFAULT_MAIN_OBJS)

menuconfig: $(OBJS) $(MENULIB_OBJS)
	$(CC) -o configure $(OBJS) $(MENULIB_OBJS)

clean:
	rm $(OBJS) $(DEFAULT_MAIN_OBJS) configure

distclean:
	$(MAKE) clean ; true
	rm -f config.cache config.log

=== utile/Makefile ===
all:

include ../Makefile.conf

install: FORCE
	mkdir -p $(XSHAREDIR)/utile
	cp * $(XSHAREDIR)/utile
	rm $(XSHAREDIR)/utile/Makefile

uninstall: FORCE
	rm -rf $(XSHAREDIR)/utile

clean:

distclean:

FORCE:

=== xschem_library/Makefile ===
all:

include ../Makefile.conf

install: FORCE
	mkdir -p $(XSHAREDIR)/xschem_library
	cp -ru mylib $(XSHAREDIR)/xschem_library
	cp -ru devices $(XSHAREDIR)/xschem_library
	cp -ru examples $(XSHAREDIR)/xschem_library
	cp -ru pcb $(XSHAREDIR)/xschem_library

uninstall: FORCE
	rm -rf $(XDOCDIR)/doc

clean:

distclean:

FORCE:

=== scconfig/src/tmpasm/Makefile ===
CFLAGS = -Wall -g \
 -I../default -DTMPASM_TESTER \

tester: tester.o tmpasm.o debug.o tmpasm_scconfig.o openfiles.o \
 ../default/db.o ../default/ht.o ../default/str.o ../default/log.o \
 ../default/regex.o ../default/lib_uniqinc.o

tmpasm.o: tmpasm.c tmpasm.h

test: regression/Makefile
	cd regression && make

regression/Makefile: regression/Makefile.in tester
	./tester -e < regression/Makefile.in > regression/Makefile

debug.o: debug.c debug.h tmpasm.h

=== debian/changelog ===
xschem (2.8.1-2) unstable; urgency=medium

  * augment debian/copyright with LGPL reference for scconfig/

 -- Bdale Garbee <bdale@gag.com>  Sun, 13 Jan 2019 16:25:29 -0700

xschem (2.8.1-1) unstable; urgency=medium

  * Initial packaging for Debian

 -- Bdale Garbee <bdale@gag.com>  Sun, 09 Dec 2018 09:12:37 -0700

=== debian/control ===
Source: xschem
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 11), bison, flex, mawk, tcl-dev, tk-dev, libxpm-dev, libcairo2-dev, libx11-xcb-dev, libxrender-dev
Standards-Version: 4.1.3
Homepage: https://xschem.sourceforge.io/stefan/xschem.html
Vcs-Git: https://salsa.debian.org/electronics-team/pcb-rnd.git
Vcs-Browser: https://salsa.debian.org/electronics-team/pcb-rnd

Package: xschem
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: schematic capture program
 Xschem is a schematic capture program, it allows creation of hierarchical 
 representation of circuits with a top down approach. By focusing on 
 interfaces, hierarchy and instance properties a complex system can be 
 described in terms of simpler building blocks. A VHDL or Verilog or Spice 
 netlist can be generated from the drawn schematic, allowing the simulation 
 of the circuit. Key feature of the program is its drawing engine written in 
 C and using directly the Xlib drawing primitives; this gives very good speed 
 performance, even on very big circuits. The user interface is built with the 
 Tcl-Tk toolkit, tcl is also the extension language used.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	./configure                             \
	   --prefix=/usr                        \
	   --LDFLAGS='$(LDFLAGS)'               \
	   --CFLAGS='$(CFLAGS) $(CPPFLAGS)'

## xschem 3.4.4

=== Makefile ===
all: FORCE
	cd src && $(MAKE)
	cd xschem_library && $(MAKE)
	cd doc && $(MAKE)
	cd src/utile && $(MAKE)

clean: FORCE
	cd src && $(MAKE) clean
	cd xschem_library && $(MAKE) clean
	cd doc && $(MAKE) clean
	cd src/utile && $(MAKE) clean

distclean: FORCE
	$(MAKE) clean ; true
	cd src && $(MAKE) distclean
	cd xschem_library && $(MAKE) distclean
	cd doc && $(MAKE) distclean
	cd src/utile && $(MAKE) distclean
	rm -f Makefile.conf config.h src/Makefile
	cd scconfig && make distclean

install: FORCE
	cd src && $(MAKE) install
	cd xschem_library && $(MAKE) install
	cd doc && $(MAKE) install
	cd src/utile && $(MAKE) install

install_pdf: FORCE
	cd doc && $(MAKE) install_pdf

uninstall: FORCE
	cd src && $(MAKE) uninstall
	cd xschem_library && $(MAKE) uninstall
	cd doc && $(MAKE) uninstall
	cd src/utile && $(MAKE) uninstall

FORCE:

=== scconfig/Makefile ===
--- 
+++ 
@@ -75,15 +75,23 @@
 CFLAGS = $(USER_CFLAGS) $(DEFAULT_CFLAGS) $(SCRIPT_CFLAGS) $(PARSER_CFLAGS) $(GENERATOR_CFLAGS) $(TMPASM_CFLAGS) $(C99_CFLAGS) $(PARSGEN_CFLAGS) $(MATH_CFLAGS) $(SOCKET_CFLAGS) $(USERPASS_CFLAGS) $(GUI_CFLAGS) $(TTY_CFLAGS) $(SUL_CFLAGS) $(POSIX_CFLAGS) $(MENULIB_CFLAGS) -I$(SRC)/default
 LDFLAGS = $(USER_LDFLAGS) $(DEFAULT_LDFLAGS) $(SCRIPT_LDFLAGS) $(PARSER_LDFLAGS) $(GENERATOR_LDFLAGS) $(TMPASM_LDFLAGS) $(C99_LDFLAGS) $(PARSGEN_LDFLAGS) $(MATH_LDFLAGS) $(SOCKET_LDFLAGS) $(USERPASS_LDFLAGS) $(GUI_LDFLAGS) $(TTY_LDFLAGS) $(SUL_LDFLAGS) $(POSIX_LDFLAGS) $(MENULIB_LDFLAGS)
 
+all: configure sccbox
+
 configure: $(OBJS) $(DEFAULT_MAIN_OBJS)
 	$(CC) -o configure $(OBJS) $(DEFAULT_MAIN_OBJS)
 
 menuconfig: $(OBJS) $(MENULIB_OBJS)
 	$(CC) -o configure $(OBJS) $(MENULIB_OBJS)
 
+src/util/sccbox.o: src/util/sccbox.c
+	$(CC) -c $(CFLAGS) -o src/util/sccbox.o src/util/sccbox.c
+
+sccbox: src/util/sccbox.o
+	$(CC) $(LDFLAGS) -o sccbox src/util/sccbox.o
+
 clean:
-	rm $(OBJS) $(DEFAULT_MAIN_OBJS) configure
+	rm $(OBJS) $(DEFAULT_MAIN_OBJS) configure src/util/sccbox.o
 
 distclean:
 	$(MAKE) clean ; true
-	rm -f config.cache config.log
+	rm -f config.cache config.log sccbox

=== xschem_library/Makefile ===
ROOT = ..

all:

include ../Makefile.conf

install: FORCE
	$(SCCBOX) mkdir -p "$(system_library_dir)" "$(XDOCDIR)"/examples "$(XDOCDIR)"/pcb
	$(SCCBOX) mkdir -p "$(XDOCDIR)"/logic "$(XDOCDIR)"/xTAG "$(XDOCDIR)"/binto7seg 
	$(SCCBOX) mkdir -p "$(XDOCDIR)"/symgen "$(XDOCDIR)"/ngspice "$(XDOCDIR)"/rulz-r8c33
	$(SCCBOX) mkdir -p "$(XDOCDIR)"/generators
	$(SCCBOX) mkdir -p "$(XDOCDIR)"/inst_sch_select
	$(SCCBOX) mkdir -p "$(XDOCDIR)"/rom8k "$(XDOCDIR)"/gschem_import/sym
	$(SCCBOX) install -f -d devices/*.sym "$(system_library_dir)"
	$(SCCBOX) install -f -d devices/*.sch "$(system_library_dir)"
	$(SCCBOX) install -f -d examples/*.sym "$(XDOCDIR)"/examples
	$(SCCBOX) install -f -d examples/*.sch "$(XDOCDIR)"/examples
	$(SCCBOX) install -f -d examples/stimuli.* "$(XDOCDIR)"/examples
	$(SCCBOX) install -f -d binto7seg/*.sym "$(XDOCDIR)"/binto7seg
	$(SCCBOX) install -f -d binto7seg/*.sch "$(XDOCDIR)"/binto7seg
	$(SCCBOX) install -f -d generators/* "$(XDOCDIR)"/generators
	$(SCCBOX) install -f -d inst_sch_select/*.* "$(XDOCDIR)"/inst_sch_select
	$(SCCBOX) install -f -d xTAG/*.sym* "$(XDOCDIR)"/xTAG
	$(SCCBOX) install -f -d xTAG/*.sch "$(XDOCDIR)"/xTAG
	$(SCCBOX) install -f -d logic/*.sym "$(XDOCDIR)"/logic
	$(SCCBOX) install -f -d logic/*.sch "$(XDOCDIR)"/logic
	$(SCCBOX) install -f -d logic/stimuli.* "$(XDOCDIR)"/logic
	$(SCCBOX) install -f -d rulz-r8c33/*.sch "$(XDOCDIR)"/rulz-r8c33
	$(SCCBOX) install -f -d rulz-r8c33/*.sym* "$(XDOCDIR)"/rulz-r8c33
	$(SCCBOX) install -f -d pcb/*.sch "$(XDOCDIR)"/pcb
	$(SCCBOX) install -f -d pcb/*.sym "$(XDOCDIR)"/pcb
	$(SCCBOX) install -f -d ngspice/*.sym "$(XDOCDIR)"/ngspice
	$(SCCBOX) install -f -d ngspice/*.sch "$(XDOCDIR)"/ngspice
	$(SCCBOX) install -f -d ngspice/stimuli.* "$(XDOCDIR)"/ngspice
	$(SCCBOX) install -f -d rom8k/*.sym "$(XDOCDIR)"/rom8k
	$(SCCBOX) install -f -d rom8k/*.sch "$(XDOCDIR)"/rom8k
	$(SCCBOX) install -f -d xschem_simulator/*.sym "$(XDOCDIR)"/xschem_simulator
	$(SCCBOX) install -f -d xschem_simulator/*.sch "$(XDOCDIR)"/xschem_simulator
	$(SCCBOX) install -f -d rom8k/stimuli.* "$(XDOCDIR)"/rom8k
	$(SCCBOX) install -f -d symgen/*.sym* "$(XDOCDIR)"/symgen
	$(SCCBOX) install -f -d gschem_import/*.sym "$(XDOCDIR)"/gschem_import
	$(SCCBOX) install -f -d gschem_import/*.sch "$(XDOCDIR)"/gschem_import
	$(SCCBOX) install -f -d gschem_import/sym/*.sym "$(XDOCDIR)"/gschem_import/sym

uninstall: FORCE
	$(SCCBOX) rm -f "$(system_library_dir)"/* "$(XDOCDIR)"/examples/* "$(XDOCDIR)"/pcb/* \
                        "$(XDOCDIR)"/ngspice/* "$(XDOCDIR)"/symgen/* "$(XDOCDIR)"/logic/* "$(XDOCDIR)"/xTAG/* \
                        "$(XDOCDIR)"/rom8k/* "$(XDOCDIR)"/xschem_simulator/* "$(XDOCDIR)"/binto7seg/* \
                        "$(XDOCDIR)"/rulz-r8c33/* "$(XDOCDIR)"/generators/* "$(XDOCDIR)"/inst_sch_select/* \
                        "$(XDOCDIR)"/gschem_import/*.sym \
                        "$(XDOCDIR)"/gschem_import/*.sch \
                        "$(XDOCDIR)"/gschem_import/sym/*.sym \
                        "$(XDOCDIR)"/gschem_import/sym
clean:

distclean:

FORCE:

=== src/utile/Makefile ===
ROOT = ../..

all:

include $(ROOT)/Makefile.conf

install: FORCE
	$(SCCBOX) mkdir -p "$(XSHAREDIR)/utile"
	$(SCCBOX) install -f -d * "$(XSHAREDIR)/utile"
	$(SCCBOX) rm "$(XSHAREDIR)/utile/Makefile"

uninstall: FORCE
	$(SCCBOX) rm -f "$(XSHAREDIR)"/utile/*

clean:

distclean:

FORCE:

=== debian/changelog ===
xschem (3.4.4-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 12 Oct 2023 11:54:32 -0600

xschem (2.8.1-3) unstable; urgency=medium

  * fix VCS links in control to point to correct project

 -- Bdale Garbee <bdale@gag.com>  Tue, 11 Aug 2020 13:45:47 -0600

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 11), bison, flex, mawk, tcl-dev, tk-dev, libxpm-dev, libcairo2-dev, libx11-xcb-dev, libxrender-dev
 Standards-Version: 4.1.3
 Homepage: https://xschem.sourceforge.io/stefan/xschem.html
-Vcs-Git: https://salsa.debian.org/electronics-team/pcb-rnd.git
-Vcs-Browser: https://salsa.debian.org/electronics-team/pcb-rnd
+Vcs-Git: https://salsa.debian.org/electronics-team/xschem.git
+Vcs-Browser: https://salsa.debian.org/electronics-team/xschem
 
 Package: xschem
 Architecture: any
